<!-- TODO FINISH WHEN BACK DEFINE RESPONSES -->
<div class="movements">
  <h2 class="movements__title">
    {{ "MERCHANT_MANAGER.MERCHANT_PROFILE.MOVEMENTS.TITLE" | translate }}
  </h2>
  <p class="movements__description">
    {{ "MERCHANT_MANAGER.MERCHANT_PROFILE.MOVEMENTS.DESCRIPTION" | translate }}
  </p>
  <div class="movements__table">
    <mo-table
      [designClass]="designClass"
      [headers]="headers"
      [fixedMinWidth]="false"
      [loadingColumns]="4"
    ></mo-table>
    <!-- [data]="associatedLoans$ | async" -->
    <!-- [isLoading]="isLoading$ | async" -->
    <div class="buttons">
      <!-- <div class="buttons" *ngIf="customer_id"> -->
      <mo-button
        [text]="
          'MERCHANT_MANAGER.MERCHANT_PROFILE.MOVEMENTS.BTN_VISIT_TRANSACTION'
            | translate
        "
        [designClass]="BUTTON_DESIGN_CLASS.PRIMARY_WHITE"
        [displayBlock]="true"
        [size]="SIZES.MD"
      ></mo-button>
      <!-- [routerLink]="loanUrl"
          [queryParams]="{ customer_id }" -->
    </div>
  </div>
</div>
